# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# Copyright (C) 2012 Tommy Brunn <tommy.brunn@gmail.com>
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
# The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

import sys
import gettext
from gettext import gettext as _
gettext.textdomain('indicator-pingdom')

import logging
logger = logging.getLogger('indicator_pingdom')
ch = logging.StreamHandler()
ch.setLevel(logging.DEBUG)
logger.addHandler(ch)

import pingdom

from indicator_pingdom.check import Check

class PingdomAccount:
	def __init__(self, email, password, api_key, db_id, created_at, last_updated):
		self.email = email
		self.password = password
		self.connection = pingdom.PingdomConnection(email, password, api_key)
		self.id = db_id
		self.created_at = created_at
		self.last_updated = last_updated

		self.checks = []

		try:
			checks = self.connection.get_all_checks()
		except PingdomError, e:
			logger.warning(e)
			checks = []

		for item in checks:
			try:
				lasterror = item.lasterror
			except AttributeError:
				lasterror = None

			try:
				lasttest = item.lasttest
			except AttributeError:
				lasttest = None

			try:
				lastresponse = item.lastresponse
			except AttributeError:
				lastresponse = None

			self.checks.append(Check(self.connection, item.id, item.name, item.type, item.status, item.resolution, item.hostname, item.created, lasterror, lasttest, lastresponse))