# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# This file is in the public domain
### END LICENSE

# THIS IS IndicatorPingdom CONFIGURATION FILE
# YOU CAN PUT THERE SOME GLOBAL VALUE
# Do not touch unless you know what you're doing.
# you're warned :)

import os

__all__ = [
    'project_path_not_found',
    'get_data_file',
    'get_data_path'
    ]

# Where your project will look for your data (for instance, images and ui
# files). By default, this is ../data, relative your trunk layout
__indicator_pingdom_data_directory__ = os.path.join('..', 'data')
__license__ = ''
__version__ = 'VERSION'
__api_key__ = 'cw1m3jo9vtpw8vu4yqsgs4olik2gaitb'
__database_dir__ = os.path.join(os.path.expanduser('~'), '.config', 'indicator-pingdom')

import gettext
from gettext import gettext as _
gettext.textdomain('indicator-pingdom')

class project_path_not_found(Exception):
    """Raised when we can't find the project directory."""


def get_data_file(*path_segments):
    """Get the full path to a data file.

    Returns the path to a file underneath the data directory (as defined by
    `get_data_path`). Equivalent to os.path.join(get_data_path(),
    *path_segments).
    """
    return os.path.join(get_data_path(), *path_segments)


def get_data_path():
    """Retrieve indicator-pingdom data path

    This path is by default <indicator_pingdom_lib_path>/../data/ in trunk
    and /usr/share/indicator-pingdom in an installed version but this path
    is specified at installation time.
    """

    # Get pathname absolute or relative.
    path = os.path.join(
        os.path.dirname(__file__), __indicator_pingdom_data_directory__)

    abs_data_path = os.path.abspath(path)
    if not os.path.exists(abs_data_path):
        raise project_path_not_found

    return abs_data_path


def get_version():
    return __version__

def get_api_key():
    return __api_key__
